API7 Docs

Generate a Helm install script for an AI Gateway instance

GET /api/ai_gateway_groups/{ai_gateway_group_id}/deployment/helm/script

GET /api/ai_gateway_groups/{ai_gateway_group_id}/deployment/helm/script

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Path Parameters

ai_gateway_group_id*string

AI Gateway group ID.

Length1 <= length

Query Parameters

dp_manager_address?string

The IP address of the control plane.

Length1 <= length
validity_period?integer

The validity period of the certificate in days.

Range1 <= value <= 10950
Default3650
name*string

Gateway name.

namespace*string

Gateway namespace.

service_account?string

Service account to install the gateway.

replicas?integer

The number of replicas.

Default1
workers?integer

The number of worker processes for the gateway instance. By default, it is configured to match the number of CPU cores on the server hosting the gateway instance.

cpu_limit?string

The CPU limit in number of cores.

memory_limit?string

The memory limit. Use the format <number><unit>.

extra_values[]?array<string>

Extra values to be passed to the Helm chart, in the form of key=value.

Response Body

text/plain

application/json

curl -X GET "$API_BASE_URL/api/ai_gateway_groups/abc1234567890/deployment/helm/script?name=string&namespace=string&workers=5&cpu_limit=6&memory_limit=6Gi&extra_values%5B%5D=a%3Db&extra_values%5B%5D=c%3Dd"

Successfully generated the Helm install script for AI Gateway installation.

"helm repo add api7 https://charts.api7.ai\nhelm repo update\nhelm upgrade --install -n default --create-namespace ai-gateway api7/aisix \\\n  --set \"extraEnvVars[0].name=API7_CONTROL_PLANE_ENDPOINTS\" \\\n  --set-string 'extraEnvVars[0].value=[\"https://10.0.0.1:31344\"]' \\\n  --set \"extraEnvVars[1].name=API7_CONTROL_PLANE_CERT\" \\\n  --set \"extraEnvVars[1].valueFrom.secretKeyRef.name=ai-gateway-tls\" \\\n  --set \"extraEnvVars[1].valueFrom.secretKeyRef.key=tls.crt\" \\\n  --set \"extraEnvVars[2].name=API7_CONTROL_PLANE_KEY\" \\\n  --set \"extraEnvVars[2].valueFrom.secretKeyRef.name=ai-gateway-tls\" \\\n  --set \"extraEnvVars[2].valueFrom.secretKeyRef.key=tls.key\" \\\n  --set \"extraEnvVars[3].name=API7_CONTROL_PLANE_CA\" \\\n  --set \"extraEnvVars[3].valueFrom.secretKeyRef.name=ai-gateway-tls\" \\\n  --set \"extraEnvVars[3].valueFrom.secretKeyRef.key=ca.crt\" \\\n  --set \"image.tag=latest\"\n"
Complete operation details and schema variants

GET /api/ai_gateway_groups/{ai_gateway_group_id}/deployment/helm/script

Generate a Helm install script for an AI Gateway instance

IAM Action: ai_gateway:GetAIGatewayGroup, Resource: arn:api7:ai_gateway:aigatewaygroup/%s Generates a shell script that uses Helm to install an AISIX AI Gateway instance in Kubernetes, connected to the specified AI Gateway group.

Parameters

  • ai_gateway_group_id (path, string, required): AI Gateway group ID.
  • dp_manager_address (query, string, optional):
  • validity_period (query, integer, optional):
  • name (query, string, required): Gateway name.
  • namespace (query, string, required): Gateway namespace.
  • service_account (query, string, optional): Service account to install the gateway.
  • replicas (query, integer, optional): The number of replicas.
  • workers (query, integer, optional): The number of worker processes for the gateway instance. By default, it is configured to match the number of CPU cores on the server hosting the gateway instance.
  • cpu_limit (query, string, optional): The CPU limit in number of cores.
  • memory_limit (query, string, optional): The memory limit. Use the format <number><unit>.
  • extra_values[] (query, array, optional): Extra values to be passed to the Helm chart, in the form of key=value.

Responses

  • 200: Successfully generated the Helm install script for AI Gateway installation.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X GET '$API_BASE_URL/api/ai_gateway_groups/{ai_gateway_group_id}/deployment/helm/script'